---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# Update contact person

Updates new contact person for given customer.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Customer - Contact Person",
      "description": "Contact person information related to a specific customer"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/customers/{customerId}/contactPerson/{contactPersonId}": {
      "patch": {
        "tags": [
          "Customer - Contact Person"
        ],
        "operationId": "customer.contactPerson.update",
        "summary": "Update contact person",
        "description": "Updates new contact person for given customer.",
        "parameters": [
          {
            "in": "path",
            "name": "customerId",
            "required": true,
            "description": "The customer's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          },
          {
            "name": "contactPersonId",
            "in": "path",
            "description": "Contact Person ID",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "requestBody": {
          "description": "Update customer contact person object",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "company",
                      "mr",
                      "mrs",
                      "other"
                    ],
                    "nullable": false,
                    "example": "mr",
                    "description": "Type of contact used later for salutations"
                  },
                  "name": {
                    "type": "string",
                    "minLength": 1,
                    "nullable": false,
                    "example": "Firstname Surname",
                    "description": "Full name of the contact person"
                  },
                  "title": {
                    "type": "string",
                    "nullable": true,
                    "example": "Prof. Dr.",
                    "description": "Additional information used for salutations"
                  },
                  "birthday": {
                    "type": "string",
                    "format": "date",
                    "nullable": true,
                    "example": "2001-01-14"
                  },
                  "birthdayShowInCalendar": {
                    "type": "boolean",
                    "nullable": false,
                    "example": true,
                    "description": "Decides wether or not to show in birthday calendar"
                  },
                  "sendBirthdayCard": {
                    "type": "boolean",
                    "nullable": false,
                    "example": true,
                    "description": "Decides wether or not to send birthday card via serial letter module"
                  },
                  "marketingBan": {
                    "type": "boolean",
                    "nullable": false,
                    "example": true,
                    "description": "Decides wether or not to send serial letters to this contact"
                  },
                  "department": {
                    "type": "string",
                    "nullable": true,
                    "example": "HR department",
                    "description": "Department of contact if necessary and available"
                  },
                  "subDepartment": {
                    "type": "string",
                    "nullable": true,
                    "example": "Sub department",
                    "description": "Sub-Department of contact if necessary and available"
                  },
                  "position": {
                    "type": "string",
                    "nullable": true,
                    "example": "",
                    "description": "Position or responsibility"
                  },
                  "language": {
                    "type": "string",
                    "nullable": true,
                    "description": "Two-letter ISO 639-1 code (uppercase or lowercase allowed).",
                    "example": "DE"
                  },
                  "address": {
                    "type": "object",
                    "additionalProperties": false,
                    "properties": {
                      "street": {
                        "type": "string",
                        "nullable": true,
                        "example": "2176 example street",
                        "description": "Street + number of contact address"
                      },
                      "additionalStreet": {
                        "type": "string",
                        "nullable": true,
                        "example": "6th floor",
                        "description": "Address suffix"
                      },
                      "zip": {
                        "type": "string",
                        "nullable": true,
                        "example": "12345",
                        "description": "ZIP code of contact address"
                      },
                      "city": {
                        "type": "string",
                        "nullable": true,
                        "example": "city",
                        "description": "City of contact address"
                      },
                      "state": {
                        "type": "string",
                        "nullable": true,
                        "example": "Ohio",
                        "description": "Federal state / district of contact address"
                      },
                      "country": {
                        "type": "string",
                        "nullable": true,
                        "example": "DE",
                        "description": "ISO 3166-1 (Alpha 2) Code of contact address country"
                      }
                    }
                  },
                  "contact": {
                    "type": "object",
                    "additionalProperties": false,
                    "properties": {
                      "phone": {
                        "type": "string",
                        "nullable": true,
                        "example": "+49 330 12345667",
                        "description": "Phone number of contact address"
                      },
                      "fax": {
                        "type": "string",
                        "nullable": true,
                        "example": "+49 330 7654321",
                        "description": "Fax number of contact address"
                      },
                      "mobile": {
                        "type": "string",
                        "nullable": true,
                        "example": "+49 172 7654321",
                        "description": "Mobile number of contact address"
                      },
                      "salutation": {
                        "type": "string",
                        "nullable": true,
                        "example": "Dear Dr. Smith, Friend and Supporter",
                        "description": "Specifies dedicated salutation"
                      },
                      "email": {
                        "type": "string",
                        "format": "email",
                        "nullable": true,
                        "example": "contact-person@address-location.tld",
                        "description": "E-mail address"
                      }
                    }
                  },
                  "groups": {
                    "type": "array",
                    "items": {
                      "type": "string",
                      "pattern": "\\d+",
                      "example": "17",
                      "description": "Resource identifier."
                    },
                    "description": "List of groups this contact person is belong to",
                    "example": [
                      "17",
                      "22"
                    ]
                  },
                  "comment": {
                    "type": "string",
                    "nullable": true,
                    "example": "This is a internal comment",
                    "description": "Internal comment for this contact"
                  },
                  "others": {
                    "type": "string",
                    "nullable": true,
                    "example": "",
                    "description": "Every other information you deem relevant"
                  }
                }
              },
              "examples": {
                "full": {
                  "value": {
                    "type": "mrs",
                    "name": "Kathleen Minority",
                    "title": "Prof. Dr. Dr.",
                    "birthday": "2001-02-02",
                    "birthdayShowInCalendar": false,
                    "sendBirthdayCard": true,
                    "marketingBan": false,
                    "department": "Finance",
                    "subDepartment": "Controlling",
                    "position": "Head of Controlling",
                    "language": "DE",
                    "address": {
                      "street": "11W 53rd St",
                      "additionalStreet": "6. Floor",
                      "zip": "10019",
                      "city": "New York",
                      "state": "NY",
                      "country": "US"
                    },
                    "contact": {
                      "phone": "+1 917 55512345",
                      "fax": "+1 917 55512345-1",
                      "mobile": "+1 800 55554321",
                      "salutation": "Dear Mrs. Minority, my most value customer",
                      "email": "k.m@ny.tld"
                    },
                    "groups": [
                      "1",
                      "23",
                      "34"
                    ],
                    "comment": "This is a internal comment for employees eyes only",
                    "others": "some other things necessary to write down blong to this contact ..."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "Operation completed successfully, no response body"
          },
          "400": {
            "description": "IETF RFC 9457 Problem API compliant response",
            "content": {
              "application/problem+json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "violations"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/request-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1,
                          "example": "Request payload validation failed."
                        },
                        "violations": {
                          "oneOf": [
                            {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "example": {
                                  "username": [
                                    "This value should not be blank."
                                  ],
                                  "email": [
                                    "This value is not a valid email address."
                                  ]
                                }
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            },
                            {
                              "type": "object",
                              "example": {
                                "_": [
                                  "This value should contain at most `9` elements."
                                ]
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            }
                          ]
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflict"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "items"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflictItems"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "items": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "title",
                              "messages"
                            ],
                            "properties": {
                              "id": {
                                "type": "integer"
                              },
                              "title": {
                                "type": "string",
                                "minLength": 1
                              },
                              "messages": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "scopes"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://developer.xentral.com/reference/problems#token-scopes"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "scopes": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "object",
                          "additionalProperties": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "415": {
            "description": "Resource representation send in the request is not supported."
          }
        }
      }
    }
  }
}
```